<xml></xml>

Saxon API for .NET |

# DocumentBuilder Members

DocumentBuilder overview

#### Public Instance Properties

BaseUri | The base URI of a document loaded using this `DocumentBuilder`. This is used for resolving any relative URIs appearing within the document, for example in references to DTDs and external entities.
DtdValidation | Determines whether DTD validation is applied to documents loaded using this `DocumentBuilder`.
IsLineNumbering | Determines whether line numbering is enabled for documents loaded using this `DocumentBuilder`.
SchemaValidationMode | Determines whether schema validation is applied to documents loaded using this `DocumentBuilder`, and if so, whether it is strict or lax.
WhitespacePolicy | Determines the whitespace stripping policy applied when loading a document using this `DocumentBuilder`.
XmlResolver | An XmlResolver, which will be used to resolve URIs of documents being loaded and of references to external entities within those documents.

#### Public Instance Methods

Build | Overloaded. Load an XML document, retrieving it via a URI.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Wrap | Wrap an XML DOM document, supplied as an `XmlNode`, as a Saxon XdmNode.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

DocumentBuilder Class | Saxon.Api Namespace